Subject: Bug#725315: alsa-utils: Default sound card switches after changing Logitech USB headset

From: "David Eccles (gringer)" <[email-masked]>
Date: Fri, 04 Oct 2013 14:26:27 +1300

Package: alsa-utils
Version: 1.0.27.1-1
Severity: normal

I've noticed that the audio for my Logitech USB headset will stop after any volume change. However, I expect the audio to continue playing 
in my headset at a different volume.

This muting persists until the program plays another file, or another program is started up. The problem seems to also happen when the 
volume is changed automatically (e.g. from the google chat plugin). I have since discovered that this is because the audio switches to 
another sound device at this time (i.e. the headset mutes, and the intel audio controller picks up the sound).

* The problem exists in a browser if I change the volume using the volume control knob on my keyboard.
* It also happens when I use mplayer within konsole, playing two different sounds at once [both sounds switch to the other sound card]
* It also happens on the console -- I can switch to tty1 to play sound, switch to tty2 to change volume, and the sound mutes

However...
* Changing volume using the VLC volume control does not cause this issue

I'm not sure if this is the correct package, but I'm hoping that the alsa folks will have a better idea where the issue lies.

-- System Information:
Debian Release: jessie/sid
   APT prefers unstable
   APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-3-amd64 (SMP w/12 CPU cores)
Locale: LANG=en_NZ.UTF-8, LC_CTYPE=en_NZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages alsa-utils depends on:
ii  kmod            9-3
ii  libasound2      1.0.27.2-1
ii  libc6           2.17-93
ii  libncursesw5    5.9+20130608-1
ii  libsamplerate0  0.1.8-5
ii  libtinfo5       5.9+20130608-1
ii  lsb-base        4.1+Debian12
ii  whiptail        0.52.15-3

Versions of packages alsa-utils recommends:
ii  alsa-base  1.0.25+3

alsa-utils suggests no packages.

-- no debconf information